From e3aac9f2ca12b60ff35d01ea69e4ffbaeea30656 Mon Sep 17 00:00:00 2001
From: Sergey Fukanchik <s.fukanchik@postgrespro.ru>
Date: Sat, 12 Jul 2025 13:25:18 +0300
Subject: [PATCH] Replace float8 with int in date2isoweek and date2isoyear

---
 src/backend/utils/adt/timestamp.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/utils/adt/timestamp.c b/src/backend/utils/adt/timestamp.c
index 0a5848a4ab2..6194769b021 100644
--- a/src/backend/utils/adt/timestamp.c
+++ b/src/backend/utils/adt/timestamp.c
@@ -5312,7 +5312,7 @@ isoweekdate2date(int isoweek, int wday, int *year, int *mon, int *mday)
 int
 date2isoweek(int year, int mon, int mday)
 {
-	float8		result;
+	int			result;
 	int			day0,
 				day4,
 				dayn;
@@ -5355,7 +5355,7 @@ date2isoweek(int year, int mon, int mday)
 			result = (dayn - (day4 - day0)) / 7 + 1;
 	}
 
-	return (int) result;
+	return result;
 }
 
 
@@ -5367,7 +5367,7 @@ date2isoweek(int year, int mon, int mday)
 int
 date2isoyear(int year, int mon, int mday)
 {
-	float8		result;
+	int			result;
 	int			day0,
 				day4,
 				dayn;
-- 
2.34.1

